<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/


namespace app\admin\controller\bbfxshop\cashlottery;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Reward extends Base
{
    
    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\Cashlottery;
    }
    
    public function all(){
        $where = array("uniacid"=>UNIACID);
        
        $list = Db::name("bbfx_cashlottery_reward")->where($where)->order('sort desc,id desc')->select();
        
        __success("操作成功",['list'=>$list]);
    }
    
    public function getList(){
        $params = $this->param(); 
        
        $pindex = max(1, intval($params["page"]));
        $psize = intval($params["limit"])?intval($params["limit"]):10;
        
        $where = array("uniacid"=>UNIACID);
        
        $list = Db::name("bbfx_cashlottery_reward")->where($where)->order('sort desc,id desc')->limit(($pindex - 1) * $psize,$psize)->select();
        $total = Db::name("bbfx_cashlottery_reward")->where($where)->count();
        
        foreach ($list as $key => &$val){
            $val['createtime'] = date("Y-m-d H:i:s",$val['createtime']);
        }
        unset($val);
        
        __success("操作成功",['total'=>$total,'list'=>$list]);
    }
    
    public function detail(){
        $params = $this->param();
        
        $info = Db::name("bbfx_cashlottery_reward")->where("id",$params['id'])->find();
        
        if(empty($info)){
            __error("数据不存在");
        }
        
        __success('操作成功',$info);
    }
    
    public function post(){
        $params = $this->param();
        $data = array(
            "uniacid"=>UNIACID,
            "type"=>$params['type'],
            "title"=>$params['title'],
            "money"=>floatval($params['money']),
            "min"=>floatval($params['min']),
            "probability"=>round($params['probability'],2),
            "max"=>floatval($params['max']),
            "sort"=>intval($params['sort']),
        );

        if($data['type'] == 1 && $data['min'] > $data['max']){
            __error("最小金额不能大于最大金额");
        }
        
        if(!empty($params['id'])){
            $res = Db::name("bbfx_cashlottery_reward")->where("id",$params['id'])->update($data);
            $data['id'] = $params['id'];
        }
        else{
            $data['createtime'] = time();
            $res = Db::name("bbfx_cashlottery_reward")->insertGetId($data);
            $data['id'] = $res;
        }
        
        if($res){
            \app\admin\model\AdminLog::record("","",$data,"bbfx_cashlottery_reward");
            __success("编辑成功");
        }
        else{
            __success("操作成功");
        }
    }
    
    public function delete(){
        $this->commonDelete("bbfx_cashlottery_reward");
    }
}